-- Thanks to phanx for her excellent (as usual) tutorial on addons localization.
-- https://phanx.net/addons/tutorials/localize

local _, namespace = ...

local L = setmetatable({}, { __index = function(t, k)
	local v = tostring(k)
	rawset(t, k, v)
	return v
end })

namespace.L = L

local LOCALE = GetLocale()

if LOCALE == "enUS" then
	-- The EU English game client also
	-- uses the US English locale code.
return end

if LOCALE == "esES" or LOCALE == "esMX" then 
	L["Fortified"] 						= "Reforzado"
return end

if LOCALE == "ptBR" then 
	L["Fortified"] 						= "Fortificada"
return end

if LOCALE == "frFR" then 
	L["Fortified"] 						= "Fortifié"
return end

if LOCALE == "deDE" then 
	L["Fortified"] 						= "Verstärkt"
return end

if LOCALE == "itIT" then	
	L["Fortified"] 						= "Potenziamento"
	
	L["Score"] 							= "punti"
	L["Tyrannical"] 					= "Tirannia"
	L["F"] 								= "F"
	L["T"] 								= "T"
	L["set to show keys"] 				= "configurato per mostrare le chiavi"
	L["set to show score"] 				= "configurato per mostrare il punteggio"
	L["Mythic+ score"] 					= "Punteggio Mitiche+"				
return end

if LOCALE == "zhTW" then
	L["Fortified"] 						= "強悍"
	
	L["MIST"]  							= "迷霧"
	L["NW"] 							= "死靈"
	L["DOS"] 							= "彼界"
	L["HOA"] 							= "贖罪"
	L["PLAGUE"] 						= "瘟疫"
	L["SD"] 							= "血紅"
	L["SPIRE"] 							= "晉升"
	L["TOP"]  							= "苦痛"
	L["TSOW"] 	 						= "街道"
	L["TSG"] 							= "險招" 

	L["JADE"] 							= "玉蛟"
	L["GROUND"] 						= "影月"
	L["HoV"] 							= "英靈"
	L["COURT"] 							= "眾星"
	L["ALGE"] 							= "學院"
	L["RUBY"] 							= "晶紅"
	L["AZURE"] 							= "蒼藍"
	L["NOKH"] 							= "諾庫德"

	L["Score"] 							= "分數"

	L["Tyrannical"] 					= "暴君"
	L["F"] 								= "悍"
	L["T"] 								= "暴"
	L["set to show keys"] 				= "設定為顯示鑰石"
	L["set to show score"] 				= "設定為顯示分數"
	L["Mythic+ score"] 					= "傳奇+分數"
return end